Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen.font.table
Class CmapFormat4

    java.lang.Object
      org.apache.batik.svggen.font.table.CmapFormat
          org.apache.batik.svggen.font.table.CmapFormat4

public class CmapFormat4
extends CmapFormat

Field Summary
`int` | `language`

Fields inherited from class org.apache.batik.svggen.font.table.CmapFormat
`format, length, version`

Constructor Summary
`protected` | `CmapFormat4(java.io.RandomAccessFile raf)`

Method Summary
`int` | `mapCharCode(int charCode)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.batik.svggen.font.table.CmapFormat
`create, getFormat, getLength, getVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### language

    public int language

Constructor Detail

### CmapFormat4

    protected CmapFormat4(java.io.RandomAccessFile raf)
                   throws java.io.IOException

Method Detail

### mapCharCode

    public int mapCharCode(int charCode)

  Specified by:
    `mapCharCode` in class `CmapFormat`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `CmapFormat`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.